org.eclipse.microprofile.rest.client.tck.providers

## Class TLAsyncInvocationInterceptorFactory

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TLAsyncInvocationInterceptorFactory

All Implemented Interfaces:
  AsyncInvocationInterceptorFactory

    public class TLAsyncInvocationInterceptorFactory
    extends Object
    implements AsyncInvocationInterceptorFactory

### Constructor Summary

Constructors
Constructor and Description
`TLAsyncInvocationInterceptorFactory(Integer initialTlInt)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Map<String,Object>` `getData()`
`static Integer` `getTlInt()`
`AsyncInvocationInterceptor` `newInterceptor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TLAsyncInvocationInterceptorFactory

    public TLAsyncInvocationInterceptorFactory(Integer initialTlInt)

### Method Detail

#### getTlInt

    public static Integer getTlInt()

#### getData

    public Map<String,Object> getData()

#### newInterceptor

    public AsyncInvocationInterceptor newInterceptor()

Specified by:
  `newInterceptor` in interface `AsyncInvocationInterceptorFactory`